package com.hai.dao;

import com.hai.entity.SecUserLabel;
import com.hai.entity.SecUserLabelExample;
import java.util.List;
import org.apache.ibatis.annotations.Delete;
import org.apache.ibatis.annotations.DeleteProvider;
import org.apache.ibatis.annotations.Insert;
import org.apache.ibatis.annotations.InsertProvider;
import org.apache.ibatis.annotations.Options;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Result;
import org.apache.ibatis.annotations.Results;
import org.apache.ibatis.annotations.Select;
import org.apache.ibatis.annotations.SelectProvider;
import org.apache.ibatis.annotations.Update;
import org.apache.ibatis.annotations.UpdateProvider;
import org.apache.ibatis.type.JdbcType;
import org.springframework.stereotype.Repository;

/**
 * 
 * 代码由工具生成,请勿修改!!!
 * 如果需要扩展请在其父类进行扩展
 * 
 **/
@Repository
public interface SecUserLabelMapper extends SecUserLabelMapperExt {
    @SelectProvider(type=SecUserLabelSqlProvider.class, method="countByExample")
    long countByExample(SecUserLabelExample example);

    @DeleteProvider(type=SecUserLabelSqlProvider.class, method="deleteByExample")
    int deleteByExample(SecUserLabelExample example);

    @Delete({
        "delete from sec_user_label",
        "where id = #{id,jdbcType=BIGINT}"
    })
    int deleteByPrimaryKey(Long id);

    @Insert({
        "insert into sec_user_label (user_id, label_id, ",
        "label_name, `status`, ",
        "create_time, ext_1, ",
        "ext_2, ext_3)",
        "values (#{userId,jdbcType=BIGINT}, #{labelId,jdbcType=BIGINT}, ",
        "#{labelName,jdbcType=VARCHAR}, #{status,jdbcType=INTEGER}, ",
        "#{createTime,jdbcType=TIMESTAMP}, #{ext1,jdbcType=VARCHAR}, ",
        "#{ext2,jdbcType=VARCHAR}, #{ext3,jdbcType=VARCHAR})"
    })
    @Options(useGeneratedKeys=true,keyProperty="id")
    int insert(SecUserLabel record);

    @InsertProvider(type=SecUserLabelSqlProvider.class, method="insertSelective")
    @Options(useGeneratedKeys=true,keyProperty="id")
    int insertSelective(SecUserLabel record);

    @SelectProvider(type=SecUserLabelSqlProvider.class, method="selectByExample")
    @Results({
        @Result(column="id", property="id", jdbcType=JdbcType.BIGINT, id=true),
        @Result(column="user_id", property="userId", jdbcType=JdbcType.BIGINT),
        @Result(column="label_id", property="labelId", jdbcType=JdbcType.BIGINT),
        @Result(column="label_name", property="labelName", jdbcType=JdbcType.VARCHAR),
        @Result(column="status", property="status", jdbcType=JdbcType.INTEGER),
        @Result(column="create_time", property="createTime", jdbcType=JdbcType.TIMESTAMP),
        @Result(column="ext_1", property="ext1", jdbcType=JdbcType.VARCHAR),
        @Result(column="ext_2", property="ext2", jdbcType=JdbcType.VARCHAR),
        @Result(column="ext_3", property="ext3", jdbcType=JdbcType.VARCHAR)
    })
    List<SecUserLabel> selectByExample(SecUserLabelExample example);

    @Select({
        "select",
        "id, user_id, label_id, label_name, `status`, create_time, ext_1, ext_2, ext_3",
        "from sec_user_label",
        "where id = #{id,jdbcType=BIGINT}"
    })
    @Results({
        @Result(column="id", property="id", jdbcType=JdbcType.BIGINT, id=true),
        @Result(column="user_id", property="userId", jdbcType=JdbcType.BIGINT),
        @Result(column="label_id", property="labelId", jdbcType=JdbcType.BIGINT),
        @Result(column="label_name", property="labelName", jdbcType=JdbcType.VARCHAR),
        @Result(column="status", property="status", jdbcType=JdbcType.INTEGER),
        @Result(column="create_time", property="createTime", jdbcType=JdbcType.TIMESTAMP),
        @Result(column="ext_1", property="ext1", jdbcType=JdbcType.VARCHAR),
        @Result(column="ext_2", property="ext2", jdbcType=JdbcType.VARCHAR),
        @Result(column="ext_3", property="ext3", jdbcType=JdbcType.VARCHAR)
    })
    SecUserLabel selectByPrimaryKey(Long id);

    @UpdateProvider(type=SecUserLabelSqlProvider.class, method="updateByExampleSelective")
    int updateByExampleSelective(@Param("record") SecUserLabel record, @Param("example") SecUserLabelExample example);

    @UpdateProvider(type=SecUserLabelSqlProvider.class, method="updateByExample")
    int updateByExample(@Param("record") SecUserLabel record, @Param("example") SecUserLabelExample example);

    @UpdateProvider(type=SecUserLabelSqlProvider.class, method="updateByPrimaryKeySelective")
    int updateByPrimaryKeySelective(SecUserLabel record);

    @Update({
        "update sec_user_label",
        "set user_id = #{userId,jdbcType=BIGINT},",
          "label_id = #{labelId,jdbcType=BIGINT},",
          "label_name = #{labelName,jdbcType=VARCHAR},",
          "`status` = #{status,jdbcType=INTEGER},",
          "create_time = #{createTime,jdbcType=TIMESTAMP},",
          "ext_1 = #{ext1,jdbcType=VARCHAR},",
          "ext_2 = #{ext2,jdbcType=VARCHAR},",
          "ext_3 = #{ext3,jdbcType=VARCHAR}",
        "where id = #{id,jdbcType=BIGINT}"
    })
    int updateByPrimaryKey(SecUserLabel record);
}